odbx_rows_affected(3)

NAME
odbx_rows_affected - Returns the number of changed records

SYNOPSIS
\FC#include <opendbx/api.h>\F[]

\FCuint64_t odbx_rows_affected\F[]
\FC(odbx_result_t* result);\F[]

DESCRIPTION
Returns the number of rows that have been changed by the current statement whose result set was retrieved by \FCodbx_result\F[](). Affected rows are only returned for DELETE, INSERT or UPDATE statements and their concrete number depends on the database implementation. Instead returning the number of rows which are matched by the WHERE clause, MySQL for example does only count the rows whose values have really been changed.

The \FCresult\F[] parameter required by this function must be a valid result set returned by \FCodbx_result\F[]() and must not has been feed to \FCodbx_result_finish\F[]() before.

RETURN VALUE
\FCodbx_rows_affected\F[]() returns the number of changed rows on success and zero if the database server didn't alter any rows. A value of zero can be returned if the statement doesn't match any rows. Some database server like MySQL may return a lower number than expected because they doesn't modify records whose values wouldn't change.

ERRORS
This function will also return zero if the \FCresult\F[] parameter is invalid.

SEE ALSO
\FCodbx_result\F[](), \FCodbx_result_finish\F[]()